Unassign Roles by UID

Removes specified Roles from a User using the UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.

DELETE
/identity/v2/manage/account/{uid}/role

Removes specified Roles from a User using the UID.

This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

UID of the User

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/identity/v2/manage/account/680fada271a140ebc0716144/role?prevent_webhook=true" \  -H "Content-Type: application/json" \  -d '{}'
{
  "IsDeleted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The uid is a required parameter."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 1039,
  "Message": "An email profile is not created or does not exist",
  "Description": "An email profile is not created on this Account ID, please use a valid Account ID or create an email profile before processing this request."
}